Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.test

`mvpa2.``test`(limit=None, verbosity=None, exit_=False)

  Runs the full or a subset of the PyMVPA unittest suite.

  Parameters:

  limit : None or list

  > If None, the full test suite is run. Alternatively, a list with test IDs can be provides. IDs are the base filenames of the test implementation, e.g. the ID for the suite in ‘mvpa2/tests/test_niftidataset.py’ is ‘niftidataset’.

  verbosity : None or int

  > Verbosity of unittests execution. If None, controlled by PyMVPA configuration tests/verbosity. Values >=3 enable all Python, and PyMVPA warnings, >=4 adds NumPy warnings, >=5 – nose debug info.

  exit_ : bool, optional

  > Either to exit with an error code upon the completion.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »